org.restlet.engine

## Class ConnectorHelper<T extends Connector>

- java.lang.Object
- - org.restlet.engine.Helper
  - - org.restlet.engine.RestletHelper<T>
    - - org.restlet.engine.ConnectorHelper<T>

Direct Known Subclasses:
  BaseHelper, ClientHelper, ServerHelper

    public abstract class ConnectorHelper<T extends Connector>
    extends RestletHelper<T>

Base connector helper.

Author:
  Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`ConnectorHelper(T connector)` Constructor.

### Method Summary

Methods
`static ConnectorService` `getConnectorService()` Returns the connector service associated to a request.
`Context` `getContext()` Returns the helped Restlet context.
`java.util.List<Protocol>` `getProtocols()` Returns the protocols simultaneously supported.
`void` `start()` Start callback.
`void` `stop()` Stop callback.
`void` `update()` Update callback with less impact than a `RestletHelper.stop()` followed by a `RestletHelper.start()`.

### Methods inherited from class org.restlet.engine.RestletHelper

`getAttributes, getHelped, getHelpedParameters, getLogger, getMetadataService, handle, setHelped`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConnectorHelper

    public ConnectorHelper(T connector)

Constructor.

### Method Detail

#### getConnectorService

    public static ConnectorService getConnectorService()

Returns the connector service associated to a request.

Returns:
  The connector service associated to a request.

#### getContext

    public Context getContext()

Returns the helped Restlet context.

Overrides:
  `getContext` in class `RestletHelper<T extends Connector>`
Returns:
  The helped Restlet context.

#### getProtocols

    public java.util.List<Protocol> getProtocols()

Returns the protocols simultaneously supported.

Returns:
  The protocols simultaneously supported.

#### start

    public void start()
               throws java.lang.Exception

Description copied from class: `RestletHelper`
Start callback.

Specified by:
  `start` in class `RestletHelper<T extends Connector>`
Throws:
  `java.lang.Exception`

#### stop

    public void stop()
              throws java.lang.Exception

Description copied from class: `RestletHelper`
Stop callback.

Specified by:
  `stop` in class `RestletHelper<T extends Connector>`
Throws:
  `java.lang.Exception`

#### update

    public void update()
                throws java.lang.Exception

Description copied from class: `RestletHelper`
Update callback with less impact than a `RestletHelper.stop()` followed by a `RestletHelper.start()`.

Specified by:
  `update` in class `RestletHelper<T extends Connector>`
Throws:
  `java.lang.Exception`